# dho_namespaces.py

"""
Define namespaces needed for the mapping of data into the Knowledge Graph
"""

from rdflib import URIRef
from rdflib.namespace import Namespace

dho_uri = URIRef('http://digitalheraldry.org/digital-heraldry-ontology/heraldry#')
dho_n = Namespace(dho_uri)
dho_blazon_n = Namespace(URIRef('http://digitalheraldry.org/digital-heraldry-ontology/blazon#'))
dho_data_n = Namespace(URIRef('http://digitalheraldry.org/digital-heraldry-ontology/data#'))

def bind_namespaces(g):
    """
    Bind all namespaces to the graph
    """

    g.namespace_manager.bind('dhoh', dho_n)
    g.namespace_manager.bind('dhob', dho_blazon_n)
    g.namespace_manager.bind('dhd', dho_data_n)

    return g